/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-02
 * 描述            ：岗位交接班拆刀记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Shift.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Shift.mapper.MesShiftDBldRmvMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_SHIFT_D_BLD_RMV", namespace=MesShiftDBldRmvMapper.class)
public class MesShiftDBldRmv extends BaseVO implements Serializable {
	/** 
	 * 机台代码
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业日期
	 */ 
	@Id
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（1晚、2白、3中）
	 */ 
	@Id
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 显示顺序
	 */ 
	@Id
	private Long display_order;
	public Long getDisplay_order() {
		return this.display_order;
	}
	public void setDisplay_order(Long display_order) {
		this.display_order = display_order;
	}

	/** 
	 * 拆刀开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rmv_str_time;
	public Date getRmv_str_time() {
		return this.rmv_str_time;
	}
	public void setRmv_str_time(Date rmv_str_time) {
		this.rmv_str_time = rmv_str_time;
	}

	/** 
	 * 拆刀结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rmv_end_time;
	public Date getRmv_end_time() {
		return this.rmv_end_time;
	}
	public void setRmv_end_time(Date rmv_end_time) {
		this.rmv_end_time = rmv_end_time;
	}

	/** 
	 * 拆刀操作人一
	 */ 
	@Column
	private String rmv_opr1;
	public String getRmv_opr1() {
		return this.rmv_opr1;
	}
	public void setRmv_opr1(String rmv_opr1) {
		this.rmv_opr1 = rmv_opr1;
	}

	/** 
	 * 拆刀操作人二
	 */ 
	@Column
	private String rmv_opr2;
	public String getRmv_opr2() {
		return this.rmv_opr2;
	}
	public void setRmv_opr2(String rmv_opr2) {
		this.rmv_opr2 = rmv_opr2;
	}

	/** 
	 * 拆刀操作人三
	 */ 
	@Column
	private String rmv_opr3;
	public String getRmv_opr3() {
		return this.rmv_opr3;
	}
	public void setRmv_opr3(String rmv_opr3) {
		this.rmv_opr3 = rmv_opr3;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
